DVBTUNE(1)

NAME
dvbtune — command-line tuning application for DVB cards

SYNOPSIS

dvbtune -f frequency -p h|v -s symbol_rate -v vpid -a apid -t tpid

DESCRIPTION

dvbtune is a simple tuning application for DVB cards supported by the Linux DVB driver (www.linuxtv.org).

This is still very experimental - especially the XML output. The latest version can be found at www.linuxstb.org. You can contact the author at dave@dchapman.com.

OPTIONS

The following options are understood by dvbtune:

-c [0-3]
    Use DVB device [0-3]

-f freq
    Absolute Frequency (DVB-S in Hz or DVB-T in Hz), or L-band Frequency (DVB-S in Hz or DVB-T in Hz).

-p [H|V]
    Polarity (DVB-S only)

-tone [0|1]
    0 = 22 kHz off, 1 = 22 kHz on

-I [0|1|2]
    0 = Spectrum Inversion off 1 = Spectrum Inversion on, 2 = auto (Default)

-S N
    Symbol rate (DVB-S only),e.g. 27500

-D [0-4]
    DiSEqc ("Digital Satellite Equipment Control") command (0=none)

-V vpid
    Set video PID (Full cards only)

-A apid
    Set audio PID (full cards only)

-T ttpid
    Set teletext PID (full cards only)

-pnr N
    Tune to Program Number (aka service) N

-i  Dump SI information as XML

-x  Attempt to auto-find other transponders (experimental)

-m  Monitor the reception quality

-n dpid
    Add network interface and receive MPE on PID dpid

--help
    Print help message

--version
    Print version string

EXAMPLES

For simple tuning, you can just use

dvbtune -f 12188000 -p h -s 27500 -v 163 -a 104 -t 32

to tune to a satellite transponder and set the video, audio and teletext PIDs.

dvbtune can also support DVB-T reception (currently for the UK only). In this case, you just need to specify the frequency:

dvbtune -f 48183300

To get the DVB SI information for a multiplex, you can use the -i option. The output of dvbtune needs some addition lines before it is a valid XML file.

To get the DVB SI information for a multiplex, you can use the "-i" option. The output of dvbtune needs some addition lines before it is a valid XML file. e.g. use a script containing

echo '<?xml version="1.0"?>' > test.xml ; echo '<satellite>' >> test.xml ; dvbtune -f freq -s srate -p pol -i >> test.xml ; echo '</satellite>' >> test.xml

to dump the SI for a satellite transponder.

This was done to allow you to write scripts to scan multiple transponders and write the output to the same XML file. See the "scripts" subdirectory for examples.

NOTES

dvbtune depends on the appropriate device nodes in /dev being present. These are either provided automatically by devfsd or udev, or must be made using /sbin/MAKEDEV dvb. The Debian package automatically runs MAKEDEV if necessary on install.

SEE ALSO

xml2vdr (1), szap (1).

AUTHOR

dvbtune was written by Dave Chapman dave@dchapman.org.

Hilmar Linder added the Switch -n that adds a network interface and switch -m that monitors the reception quality. Changed the tuning code. Added command line parameters for spectral inversion. Changed code to allow L-Band frequencies with -f switch.

John Williams Added -D diseqc support, and made the 22kHz tone automatic again.

This manual page was written by Alastair McKinstry mckinstry@computer.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.